//
// Created by william on 16/05/24.
//

#ifndef NES_EMULATOR_GUI_H
#define NES_EMULATOR_GUI_H

#include "canvas.h"

#define WINDOW_ID_MAIN 1
#define WINDOW_MAIN_WIDTH 256
#define WINDOW_MAIN_HEIGHT 240
#define WINDOW_MAIN_SCALING 3

#define WINDOW_ID_PATTERN 2
#define WINDOW_PATTERN_WIDTH 128
#define WINDOW_PATTERN_HEIGHT 256
#define WINDOW_PATTERN_SCALING 2

void gui_init();
void gui_uninit();

int gui_input();
void gui_render();
void gui_present();
void gui_delay();

Canvas *gui_get_canvas(char win_id);

#endif //NES_EMULATOR_GUI_H
