//
// Created by william on 17/05/24.
//

#ifndef NES_EMULATOR_WINDOW_H
#define NES_EMULATOR_WINDOW_H

#include <SDL.h>
#include "canvas.h"

typedef struct nes_window {
    SDL_Renderer *renderer;
    SDL_Window *window;

    int width;
    int height;
    int scaling;
    Canvas canvas;
} NesWindow;

NesWindow window_init(int width, int height, int scaling, char *title);
void window_uninit(NesWindow *window);

void window_render(NesWindow *window);
void window_present(NesWindow *window);

#endif //NES_EMULATOR_WINDOW_H